Package Details: 123elf 1.0.0rc4-2

Git Clone URL: https://aur.archlinux.org/123elf.git (read-only, click to copy)
Package Base: 123elf
Description: Native port of Lotus 1-2-3 to Linux.
Upstream URL: https://github.com/taviso/123elf
Keywords: 123 lotus lotus123 retro
Licenses: custom
Submitter: chris_l
Maintainer: chris_l
Last Packager: chris_l
Votes: 2
Popularity: 0.151140
First Submitted: 2023-07-14 07:06 (UTC)
Last Updated: 2024-03-18 01:39 (UTC)

Latest Comments

chris_l commented on 2024-05-18 08:40 (UTC)

It works on my system.

lib32-ncurses is not part of AUR, is part of multilib. Enable multilib if you don't have it enabled yet

m040601 commented on 2024-05-18 06:10 (UTC) (edited on 2024-05-18 08:45 (UTC) by m040601)

Thanks for the work on this PKGBUILD, trying to make it available in Archlinux.

Can you confirm that you tested the PKGBUILD and it is working on your system ?

This PKGBUILD is not working on my system as of 2024-05-18.

uname -a

Linux gigabyty 6.9.1-arch1-1 #1 SMP PREEMPT_DYNAMIC Fri, 17 May 2024 16:56:38 +0000 x86_64 GNU/Linux

yay -Si 123elf

Repository                    : aur
Name                          : 123elf
Version                       : 1.0.0rc4-2
Provides                      : None
Depends On                    : lib32-ncurses
Optional Deps                 : None
Make Deps                     : cpio
First Submitted               : Fri 14 Jul 2023 08:06:07 AM WEST
Last Modified                 : Mon 18 Mar 2024 01:39:09 AM WET
Maintainer                    : chris_l

lib32-ncurses does not exist on the AUR. What exists in, 2024-05-18, is lib32-ncurses-git, and is abandoned,

aur/lib32-ncurses-git 6.4.20231209.r0.gb5a2b7c7-1 (+2 0.05) (Orphaned)
    System V Release 4.0 curses emulation library (32-bit)

And that is where the PKGBUILD fails,

yay -S 123elf

AUR Explicit (1): 123elf-1.0.0rc4-2
AUR Dependency (1): lib32-ncurses-git-6.4.20231209.r0.gb5a2b7c7-1
Sync Dependency (1): lib32-glibc-2.39+r52+gf8e4623421-1
.....
.....
==> Making package: lib32-ncurses-git 6.4.20231209.r0.gb5a2b7c7-1 (Sat 18 May 2024 06:54:25 AM WEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
....
....
````

That first part went OK.


But somewhere along the way it will fail with,


Package (1) New Version Net Change Download Size

core/lib32-glibc 2.39+r52+gf8e4623421-1 17.81 MiB 3.36 MiB

Total Download Size: 3.36 MiB Total Installed Size: 17.81 MiB

:: Proceed with installation? [Y/n] :: Retrieving packages... lib32-glibc-2.39+r52+gf8e4623421-1-x86_64 3.4 MiB 1271 KiB/s 00:03 [------------------------------------------] 100% (1/1) checking keys in keyring [------------------------------------------] 100% (1/1) checking package integrity [------------------------------------------] 100% (1/1) loading package files [------------------------------------------] 100% (1/1) checking for file conflicts [------------------------------------------] 100% (1/1) checking available disk space [------------------------------------------] 100% :: Processing package changes... (1/1) installing lib32-glibc [------------------------------------------] 100% :: Running post-transaction hooks... (1/1) Arming ConditionNeedsUpdate... [sudo] gigabyty password for a1: ==> Making package: lib32-ncurses-git 6.4.20231209.r0.gb5a2b7c7-1 (Sat 18 May 2024 06:54:25 AM WEST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Updating ncurses-snapshots git repo... ==> Validating source files with sha512sums... ncurses-snapshots ... Skipped ==> Extracting sources... -> Creating working copy of ncurses-snapshots git repo... Cloning into 'ncurses-snapshots'... done. ==> Starting pkgver()... ==> Updated version: lib32-ncurses-git 6.5.20240511.r0.g13113073-1 ==> Sources are ready. ==> Making package: lib32-ncurses-git 6.5.20240511.r0.g13113073-1 (Sat 18 May 2024 06:54:30 AM WEST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> WARNING: Using existing $srcdir/ tree ==> Starting pkgver()... ==> Starting build()... checking for ggrep... no checking for grep... grep checking for egrep... grep -E Configuring NCURSES 6.5 ABI 6 (Sat May 18 06:54:31 WEST 2024) checking for package version... 6.5 checking for package patch date... 20240511 checking build system type... i686-pc-linux-gnu checking host system type... i686-pc-linux-gnu checking target system type... i686-pc-linux-gnu Configuring for linux-gnu checking for fgrep... grep -F checking for prefix... /usr


here the errors start


checking for C compiler default output... configure: error: C compiler cannot create executables ==> ERROR: A failure occurred in build(). Aborting... -> Failed to install layer, rolling up to next layer.error:error making: lib32-ncurses-git - exit status 4 ==> Making package: lib32-ncurses-git 6.5.20240511.r0.g13113073-1 (Sat 18 May 2024 06:54:33 AM WEST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Updating ncurses-snapshots git repo... ==> Validating source files with sha512sums... ncurses-snapshots ... Skipped ==> Extracting sources... -> Creating working copy of ncurses-snapshots git repo... Switched to a new branch 'makepkg' ==> Starting pkgver()... ==> Sources are ready. ==> Making package: lib32-ncurses-git 6.5.20240511.r0.g13113073-1 (Sat 18 May 2024 06:54:38 AM WEST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> WARNING: Using existing $srcdir/ tree ==> Starting pkgver()... ==> Removing existing $pkgdir/ directory... ==> Starting build()... checking for ggrep... no checking for grep... grep checking for egrep... grep -E Configuring NCURSES 6.5 ABI 6 (Sat May 18 06:54:39 WEST 2024) checking for package version... 6.5 checking for package patch date... 20240511 checking build system type... i686-pc-linux-gnu checking host system type... i686-pc-linux-gnu checking target system type... i686-pc-linux-gnu Configuring for linux-gnu checking for fgrep... grep -F checking for prefix... /usr checking for C compiler default output... configure: error: C compiler cannot create executables ==> ERROR: A failure occurred in build(). Aborting... -> error making: lib32-ncurses-git-exit status 4 ==> Making package: 123elf 1.0.0rc4-2 (Sat 18 May 2024 06:54:42 AM WEST) ==> Checking runtime dependencies... ==> Missing dependencies: -> lib32-ncurses ==> Checking buildtime dependencies... ==> ERROR: Could not resolve all dependencies. -> error making: 123elf-exit status 8 -> Failed to install the following packages. Manual intervention is required: 123elf - exit status 8 lib32-ncurses-git - exit status 4

```

chris_l commented on 2024-03-18 01:41 (UTC)

You are right, cpio is required during build, so I add it as make dependency. Thanks!

xmrdo commented on 2024-03-15 09:01 (UTC)

thanks works as advertised!

xmrdo commented on 2024-03-15 09:00 (UTC)

@chris_l, arghh needs the 'cpio' as well.

chris_l commented on 2024-03-15 01:40 (UTC)

@xmrdo I just compiled it again. It worked fine for me.

How are you installing it? If you are using some AUR helper, try to do it manually: download and extract the snapshot, and execute makepkg.

xmrdo commented on 2024-03-14 21:26 (UTC)

broken - fails with: gzip: stdin: unexpected end of file Failed to decompress object files